function findClosestFormThroughShadow(element) {
    while (element) {
        const form = element.closest('form');
        if (form) {
            return form;
        }
        const root = element.getRootNode();
        if (!root) {
            return null;
        }
        element = root.host;
    }
    return null;
}
export function getFormByIdOrClosest(element) {
    const formId = element.getAttribute('form');
    const formElement = formId
        ? document.getElementById(formId)
        : findClosestFormThroughShadow(element);
    return formElement instanceof HTMLFormElement ? formElement : null;
}
//# sourceMappingURL=common.js.map